Retrieve consumption details and costs for your account

Get a detailed overview of your resource consumption such as CPU, disk, and RAM during a specific period. You can use the returned `accountId` to retrieve related consumption data for floating IP addresses via `GET /api/floating-ip/metered-usage`.

Billing & Orders Billing

Context

Used in the dashboard

/cost-management /object-storage

Query Parameters

accountId string required · Example: 19889

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.accountId string required · Example: 20000
data.currency string required · Example: SEK
data.period object required
data.period.end string · enum required · Example: 2026-04-03
2026-04-03
2026-04-09
2026-04-15
data.period.start string · enum required · Example: 2026-03-03
2025-12-16
2025-12-22
2026-02-09
data.totalCharge number · Example: 39.063050000000004
data.variables array<object> · Example: [{"key":"19","name":"CPU","usage":"1012.50000","unit":"Hour","charge":15.1875,"cycle":"...
data.variables[].charge number required · Example: 15.1875
data.variables[].cycle string required · Example: Account
data.variables[].key string required · Example: 19
data.variables[].name string · Example: CPU
data.variables[].unit string · enum · Example: Hour
GB
Hour
data.variables[].usage string · Example: 1012.50000
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/billing/metered-usage
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/billing/metered-usage?accountId=19889" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "accountId": "20000",
    "currency": "SEK",
    "period": {
      "start": "2026-03-03",
      "end": "2026-04-03"
    },
    "totalCharge": 39.063050000000004,
    "variables": [
      {
        "key": "19",
        "name": "CPU",
        "usage": "1012.50000",
        "unit": "Hour",
        "charge": 15.1875,
        "cycle": "Account"
      },
      {
        "key": "24",
        "name": "Disk",
        "usage": "50625.00000",
        "unit": "Hour",
        "charge": 12.65625,
        "cycle": "Account"
      },
      {
        "key": "20",
        "name": "RAM",
        "usage": "2025.00000",
        "unit": "Hour",
        "charge": 8.1,
        "cycle": "Account"
      }
    ]
  }
}